<html>
    <section th:fragment="measurement_compound">
		<table>
			<tbody>
				<div th:if="${data != null}">
					<tr>
						<th>
							Quality
						</th>
						<th>
							Value
						</th>
						<th>
							Lower Bound
						</th>
						<th>
							Upper Bound
						</th>
						<th>
							Unit
						</th>
						<th>
							
						</th>
					</tr>
					<tr th:each="row : ${data.get(0).statements.get('WeightMeasurementStatementKGBB')}">
						<td>
							<p th:text="*{data.get(0).statements.get('QualityStatementKGBB').get(0).get('QualityStatementUnitResourceObjectPosition').formattedResourceLabel + ':'}">Quality</p>
						</td>
						<td>
							<p th:text="${row.get('WeightMeasurementUnitLiteralObjectPosition1').literal}">Value</p>
						</td>
						<td>
							<p th:text="${row.get('WeightMeasurementUnitLiteralObjectPosition2').literal}">Lower Bound</p>
						</td>
						<td>
							<p th:text="${row.get('WeightMeasurementUnitLiteralObjectPosition3').literal}">Upper Bound</p>
						</td>
						<td>
							<p th:text="${row.get('WeightMeasurementUnitResourceObjectPosition').formattedResourceLabel}">Unit</p>
						</td>
						<td>
							<form th:if="${data.get(0).statements.get('WeightMeasurementStatementKGBB').size() > 1}" action="#" th:action="${endpoint}" method="post">
								<input type="hidden" name="removeSubject" th:value="${data.get(0).statements.get('QualityStatementKGBB').get(0).get('QualityStatementUnitResourceObjectPosition').uri}"></input>
								<button type="submit" name="removeStatement" th:value="${row.get('WeightMeasurementUnitResourceObjectPosition').uri}" th:text="#{remove}">Remove</button>
							</form>
							<form th:if="${data.get(0).statements.get('WeightMeasurementStatementKGBB').size() == 1}" action="#" th:action="${endpoint}" method="post">
								<button type="submit" name="removeItem" th:value="${data.get(0).uri}" th:text="#{remove}">Remove</button>
							</form>
						</td>
					</tr>
					<form action="#" th:action="${endpoint}" method="post">
						<td>
							<p>weight [PATO:0000128]:</p>
						</td>
						<td>
							<input type="number" placeholder="Value" name="@input:literal:WeightMeasurementUnitLiteralObjectPosition1"></input>
						</td>
						<td>
							<input type="number" placeholder="Lower Bound" name="@input:literal:WeightMeasurementUnitLiteralObjectPosition2"></input>
						</td>
						<td>
							<input type="number" placeholder="Upper Bound" name="@input:literal:WeightMeasurementUnitLiteralObjectPosition3"></input>
						</td>
						<td>
							<input type="text" placeholder="Unit" name="@input:resource:WeightMeasurementUnitResourceObjectPosition"></input>
							<input type="hidden" name="@input:type:WeightMeasurementUnitResourceObjectPosition" value="CLASS"></input>
						</td>
						<td>
							<input type="hidden" name="subject" th:value="${data.get(0).statements.get('QualityStatementKGBB').get(0).get('QualityStatementUnitResourceObjectPosition').uri}"></input>
							<button type="submit" name="addStatement" value="WeightMeasurementStatementKGBBInstance">Create</button>
						</td>
					</form>
				</div>
				<div th:if="${data == null}">
					<form action="#" th:action="${endpoint}" method="post">
						<td>
							<p>weight [PATO:0000128]:</p>
						</td>
						<td>
							<input type="number" placeholder="Value" name="@input:literal:WeightMeasurementUnitLiteralObjectPosition1"></input>
						</td>
						<td>
							<input type="number" placeholder="Lower Bound" name="@input:literal:WeightMeasurementUnitLiteralObjectPosition2"></input>
						</td>
						<td>
							<input type="number" placeholder="Upper Bound" name="@input:literal:WeightMeasurementUnitLiteralObjectPosition3"></input>
						</td>
						<td>
							<input type="text" placeholder="Unit" name="@input:resource:WeightMeasurementUnitResourceObjectPosition"></input>
							<input type="hidden" name="@input:type:WeightMeasurementUnitResourceObjectPosition" value="CLASS"></input>
						</td>
						<td>
							<input type="hidden" name="subject" th:value="${subject}"></input>
							<input type="hidden" name="@input:resource:QualityStatementUnitResourceObjectPosition" value="http://purl.obolibrary.org/obo/PATO_0000128"></input>
							<input type="hidden" name="@input:type:QualityStatementUnitResourceObjectPosition" value="CLASS"></input>
							<button type="submit" name="addItem" value="WeightMeasurementCompoundKGBBInstance">Create</button>
						</td>
					</form>
				</div>
			</tbody>
		</table>
    </section>
</html>